
public class Clothing {
	
	private String name;
	private String mood;
	private String type;
	
	/*
	 * Constructor which sets a name, mood, and type for a new Clothing object.
	 * Notice the "this" reference to help avoid confusion between instance 
	 * variables and parameters of the same name. 
	 */
	public Clothing(String name, String mood, String type) {
		this.name = name;
		this.mood = mood;
		this.type = type;
	}
	
	/*
	 * Copy constructor which calls another constructor using new copies of 
	 * each instance variable.
	 */
	public Clothing(Clothing c) {
		this(new String(c.name), new String(c.mood), new String(c.type));
	}
	
	
	/*
	 *  Getters and Setters 
	 */
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getMood() {
		return mood;
	}
	public void setMood(String mood) {
		this.mood = mood;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	
	
	/*
	 * toString method prints the name, mood, and type as a sentence.
	 * Example: "Reginald is a happy shirt."
	 * It is important to know how your clothes are feeling.
	 */
	public String toString() {
		return name + " is a " + mood + " " + type + ".";
	}
	
}
